Skip to main content
POST
Returns a user's switch authorization code

Authorizations

JSESSIONID
string
cookie
required

Path Parameters

groupId
integer<int64>
required

The unique ID number of the group

Body

application/json

The switch authorization request contains the required information for a user to request an authorization code for obtaining an access token that belongs to another user in a group. This "other user" is identified by targetUserId. The authentication object contains information about the "authorizing user". An "authorizing user" can be either the target user or an user with group admin privileges.

targetUserId
integer<int64>
required

The unique ID of an entity.

Example:

1

authentication
object
required

The data model that contains the values to be provided for authentication.

Response

OK

authorizationCode
string